%define subrel 1

Summary: Bugzilla extension for firefox
Name: firefox-ext-bugzilla-tweaks
Version: 1.11
Release: %mkrel 0
License: MPL
Group:	Networking/WWW
URL:	https://addons.mozilla.org/en-US/firefox/addon/187588/
Source: http://releases.mozilla.org/pub/mozilla.org/addons/187588/bugzilla_tweaks-%{version}-fx.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: %{name} < %{version}
Requires: firefox >= %{firefox_epoch}:%{firefox_version}
BuildArch: noarch
BuildRequires: firefox-devel

%description
This extension modifies the pages loaded from bugzilla.mozilla.org and adds features including:
- Interleaving the bug's change history with the comments on the same page
- Showing the last time that a bug or attachment flag was changed
- Proving user name autocompletion support
- And many more...

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}




%changelog

* Tue Sep 27 2011 dmorgan <dmorgan> 1.11-0.1.mga1
+ Revision: 149289
- New version 1.11

* Sat Apr 30 2011 tv <tv> 1.10-1.mga1
+ Revision: 93720
- new release

* Wed Apr 20 2011 tv <tv> 1.9-1.mga1
+ Revision: 89309
- new release

* Thu Apr 07 2011 tv <tv> 1.8-1.mga1
+ Revision: 81997
- imported package firefox-ext-bugzilla-tweaks


* Sat Mar 19 2011 Funda Wang <fwang@mandriva.org> 1.8-1mdv2011.0
+ Revision: 646529
- new version 1.8

* Fri Jan 28 2011 Funda Wang <fwang@mandriva.org> 1.6-3
+ Revision: 633584
- build for new ff ext dir

* Wed Jan 05 2011 Thierry Vignaud <tv@mandriva.org> 1.6-2mdv2011.0
+ Revision: 628870
- rebuild for new firefox

* Mon Nov 15 2010 Thierry Vignaud <tv@mandriva.org> 1.6-1mdv2011.0
+ Revision: 597639
- import firefox-ext-bugzilla-tweaks

